
Redmine - Defect #4872

Pound (#) followed by number with leading zero (0) removes leading zero when rendered in wiki

2010-02-18 04:24 - Kioma Aldecoa

Status: Closed Start date: 2010-02-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 0.9.3   

Resolution: Fixed Affected version:  

Description

A number like this:

#0123456789

is rendered as:

#123456789

literally: #0123456789

I would expect the leading zero preserved, like this:

#0123456789

Even though a leading # is a way to automatically link, we have a usage where it is very convenient to be able to paste content with

numbers with leading zeros that are prefixed by a # and that will never clash with issue numbers.  I don't see a benefit to removing

leading zeros, if they are present.

As a workaround, we can prefix the # with !.

Associated revisions

Revision 3451 - 2010-02-18 19:53 - Jean-Philippe Lang

Fixed: Pound (#) followed by number with leading zero (0) removes leading zero when rendered in wiki (#4872).

History

#1 - 2010-02-18 19:55 - Jean-Philippe Lang

- Category changed from Wiki to Text formatting

- Status changed from New to Resolved

- Target version set to 0.9.3

- Resolution set to Fixed

Fixed in r3451.

#2 - 2010-02-20 11:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3463.
